#### Previous topic

scipy.sparse.hstack

#### Next topic

scipy.sparse.rand

# scipy.sparse.vstack

`scipy.sparse.``vstack`(blocks, format=None, dtype=None)

  Stack sparse matrices vertically (row wise)

  Parameters:

  blocks

  > sequence of sparse matrices with compatible shapes

  format : str, optional

  > sparse format of the result (e.g. “csr”) by default an appropriate sparse matrix format is returned. This choice is subject to change.

  dtype : dtype, optional

  > The data-type of the output matrix. If not given, the dtype is determined from that of blocks.

  See also

  `hstack`
    stack sparse matrices horizontally (column wise)

  Examples

      >>> from scipy.sparse import coo_matrix, vstack
      >>> A = coo_matrix([[1, 2], [3, 4]])
      >>> B = coo_matrix([[5, 6]])
      >>> vstack([A, B]).toarray()
      array([[1, 2],
             [3, 4],
             [5, 6]])